
######################################################################
######################################################################
### ALternative splicng analysis


######################################################################
######################################################################
### Loading data 

source("Scripts/Alternative_splicing_Data_cleaning_prep.R")

######################################################################
######################################################################
### Data set 1
### Getting differntial expression of transcript, exon and intron 

# ucount stantds for uniquly mapped reads to either the exon or intron

stat_results_transcript_1 <- stattest(bg_filter,feature = "transcript", meas = "FPKM", covariate = "treatment")

stat_results_exon_1 <- stattest(bg_filter, feature='exon', meas='ucount', covariate = "treatment")

stat_results_intron_1 <- stattest(bg_filter,feature = "intron", meas = "ucount", covariate = "treatment" )

# Getting names

stat_results_transcript_1 <- data.frame(geneNames = unlist(geneNames(bg_filter)),geneIDs = geneIDs(bg_filter)
                                        ,stat_results_transcript_1 )

# Filtering the results

stat_results_transcript_1 <- stat_results_transcript_1 %>%
                           filter(qval<=0.05)


stat_results_exon_1 <- stat_results_exon_1 %>%
                     filter(qval<=0.05)

stat_results_intron_1 <- stat_results_intron_1 %>%
                       filter(qval<=0.05)

# One transcript significant without a name


######################################################################
######################################################################
### Getting expression data for data set 2

# When you add foundress number as an adjusted vars you get nothing 
# however is you remove then you get alternative splicing with host type
# as when you use foundress no on its own you get no significant result 
# think it is safe to remove as a cofounder eg remove the adjust var option

stat_results_transcript_2_host <- stattest(bg_filter_2,feature = "transcript", meas = "FPKM", covariate = "host_type",getFC = T)

stat_results_transcript_2_foundress <- stattest(bg_filter_2,feature = "transcript",meas = "FPKM", covariate = "Foundress_no")

stat_results_exon_2_host <- stattest(bg_filter_2, feature='exon', meas='ucount', covariate = "host_type")

stat_results_exon_2_foundress <- stattest(bg_filter_2, feature='exon', meas='ucount', covariate = "Foundress_no")

stat_results_intron_2_host <- stattest(bg_filter_2,feature = "intron", meas = "ucount", covariate = "host_type")

stat_results_intron_2_foundress <- stattest(bg_filter_2,feature = "intron", meas = "ucount", covariate = "Foundress_no")

### Doing the same just for the fresh host parasitised host reduced set 

Reduced_Host_set <- stattest(bg_filter_2_host,feature = "transcript",meas = "FPKM",covariate = "host_type",adjustvars = "Foundress_no")

Reduced_Host_set_exon <- stattest(bg_filter_2_host,feature = "exon",meas = "ucount",covariate = "host_type")

Reduced_Host_set_intron <- stattest(bg_filter_2_host,feature = "intron",meas = "ucount",covariate = "host_type")

### Now doing the same for parasitised and none

Reduced_par_non_set <- stattest(bg_filter_2_par_non,feature = "transcript",meas = "FPKM",covariate = "host_type",adjustvars = "Foundress_no")

Reduced_par_non_set_exon <- stattest(bg_filter_2_par_non,feature = "exon",meas = "ucount",covariate = "host_type")

Reduced_par_non_set_intron <- stattest(bg_filter_2_par_non,feature = "intron",meas = "ucount",covariate = "host_type")

### And then for fresh and none

Reduced_fresh_non_set <-  stattest(bg_filter_2_fresh_non,feature = "transcript",meas = "FPKM",covariate = "host_type",adjustvars = "Foundress_no")

Reduced_fresh_non_set_exon <- stattest(bg_filter_2_fresh_non,feature = "exon",meas = "ucount",covariate = "host_type")

Reduced_fresh_non_set_intron <- stattest(bg_filter_2_fresh_non,feature = "intron",meas = "ucount",covariate = "host_type")

### Getting the Gene names need to figure out how to do this for exons and etc

stat_results_transcript_2_host <- data.frame(geneNames = unlist(geneNames(bg_filter_2)),geneIDs=geneIDs(bg_filter_2),
                                             stat_results_transcript_2_host)

Reduced_Host_set <- data.frame(geneNames=unlist(geneNames(bg_filter_2_host)),geneIDs=geneIDs(bg_filter_2_host),
                               Reduced_Host_set)

Reduced_par_non_set <- data.frame(geneNames = unlist(geneNames(bg_filter_2_par_non)),geneIDs=geneIDs(bg_filter_2_par_non),
                                  Reduced_par_non_set)

Reduced_par_non_set <- data.frame(geneNames = unlist(geneNames(bg_filter_2_par_non)),geneIDs=geneIDs(bg_filter_2_par_non),
                                  Reduced_par_non_set)

Reduced_fresh_non_set <- data.frame(geneNames = unlist(geneNames(bg_filter_2_fresh_non)),geneIDs=geneIDs(bg_filter_2_fresh_non),
                                     Reduced_fresh_non_set)


### writing out the full version so can see 

write.table(stat_results_transcript_2_host,"Data/FULL_DATA_RESULTS",
            sep = "\t",col.names = T,row.names = F)




# creates an index object with the exon to transcript intron to transcript info 
# along with a load of other things along with getting list of genes which have more then one
# transcript 

Index <- indexes(bg_filter_2)

Multi_trans_genes <- Index$t2g

Multi_trans_genes <- Multi_trans_genes %>%
  group_by(g_id) %>%
  filter(n()>1) 

# Filtering the results

stat_results_transcript_2_host <- stat_results_transcript_2_host %>%
  filter(qval<=0.05)

stat_results_transcript_2_foundress <- stat_results_transcript_2_foundress %>%
  filter(qval<=0.05)

stat_results_exon_2_host <- stat_results_exon_2_host %>%
  filter(qval<=0.05)

stat_results_exon_2_foundress <- stat_results_exon_2_foundress %>%
  filter(qval<=0.05)

stat_results_intron_2_host <- stat_results_intron_2_host %>%
  filter(qval<=0.05)

stat_results_intron_2_foundress <- stat_results_intron_2_foundress %>%
  filter(qval<=0.05)

Reduced_Host_set <- Reduced_Host_set %>%
  filter(qval<=0.05)

Reduced_Host_set_exon <- Reduced_Host_set_exon %>%
  filter(qval<=0.05)

Reduced_Host_set_intron <- Reduced_Host_set_intron %>%
  filter(qval<=0.05)

Reduced_par_non_set <- Reduced_par_non_set %>%
  filter(qval<=0.05)

Reduced_par_non_set_exon <- Reduced_par_non_set_exon %>%
  filter(qval<=0.05)

Reduced_par_non_set_intron <- Reduced_par_non_set_intron %>%
  filter(qval<=0.05)

Reduced_fresh_non_set <- Reduced_fresh_non_set %>%
  filter(qval<=0.05)

Reduced_fresh_non_set_exon <- Reduced_fresh_non_set_exon %>%
  filter(qval<=0.05)


### Writing out the results of the transcripts into a table


write.table(stat_results_transcript_2_host,"Data/Alternative_splicing_2_transcripts_host",
            sep = "\t",col.names = T,row.names = F)

write.table(Multi_trans_genes,"Data/Genes_with_multi_trans",
            sep = "\t",col.names = T,row.names = F)



