
######################################################################
######################################################################
### Identifying differences between our reanalysis and previous 2015 study

# Here we are using the 


######################################################################
######################################################################
### Loading the packages

if (!require("dplyr")) {
  install.packages("dplyr", dependencies = TRUE)
  library(dplyr)
}

######################################################################
######################################################################
### reading in the data 


OSG2 <- read.table(file = 'Data/Nasonia_vitripennis_Annotation/OSG2.Gene.ID', header = T)

Genes_2015 <- read.table(file = 'Data/Previous_study_results/TableS2.csv',sep = ',',skip = 1 ,
                        header = T)

Our_DE_Genes <- read.table(file = 'Data/DE_Genes_host' , header = T)

######################################################################
######################################################################
###  Sorting out the ID


Cutting <- function(x){
  Character <- as.character(x)
  for(i in 1:nchar(Character)){
    
    if(substring(Character,i,i+1) == 'Ge'){
      LOC <- as.vector(paste('LOC',substring(Character , i+7 , nchar(Character)),sep = ''))
      break
    }else{
      LOC <- NA
    }
  }
  return(LOC)
}


for(i in 1:nrow(OSG2)){
OSG2$LOC[i] <- Cutting(OSG2$Dbxref[i])
}



######################################################################
######################################################################
### Identifying the number of Genes in ours and thiers

Genes_2015 <- Genes_2015 %>%
  left_join(OSG2,by = c('OGS2.ID'='geneID')) %>%
  select(-Dbxref) %>%
  group_by(OGS2.ID) %>%
  distinct() 

Genes_2015 <- Genes_2015[!is.na(Genes_2015$LOC),]

nrow(Our_DE_Genes[Our_DE_Genes$target_id %in% Genes_2015$LOC,])  

# Here show that 61 LOC are in Our DE genes vs 2015 study

sum(!is.na(Genes_2015$LOC))

nrow(Genes_2015[Genes_2015$LOC %in% Our_DE_Genes$target_id,])

# Out of the 369 genes we can assign a LOC from 2015 study only 61 can be found in our genes. 
